//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2014.08.29 at 12:55:12 PM CEST 
//


package net.ihe.gazelle.goc.xmm;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each
 * Java content interface and Java element interface
 * generated in the xmm package.
 * <p>An ObjectFactory allows you to programatically
 * construct new instances of the Java representation
 * for XML content. The Java representation of XML
 * content can consist of schema derived interfaces
 * and classes representing the binding of schema
 * type definitions, element declarations and model
 * groups.  Factory methods for each of these are
 * provided in this class.
 *
 * @author Abderrazek Boufahja
 * @version $Id: $Id
 */
@XmlRegistry
public class ObjectFactory {

    private static final String XMM = "xmm";
	private static final QName Body_QNAME = new QName(XMM, "body");
    private static final QName Language_QNAME = new QName(XMM, "language");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: xmm
     */
    public ObjectFactory() {
    	// object factory constructor
    }

    /**
     * Create an instance of {@link net.ihe.gazelle.goc.xmm.ImportedPackage}
     *
     * @return a {@link net.ihe.gazelle.goc.xmm.ImportedPackage} object.
     */
    public ImportedPackage createImportedPackage() {
        return new ImportedPackage();
    }

    /**
     * Create an instance of {@link net.ihe.gazelle.goc.xmm.ElementImport}
     *
     * @return a {@link net.ihe.gazelle.goc.xmm.ElementImport} object.
     */
    public ElementImport createElementImport() {
        return new ElementImport();
    }

    /**
     * Create an instance of {@link net.ihe.gazelle.goc.xmm.ImportedElement}
     *
     * @return a {@link net.ihe.gazelle.goc.xmm.ImportedElement} object.
     */
    public ImportedElement createImportedElement() {
        return new ImportedElement();
    }

    /**
     * Create an instance of {@link net.ihe.gazelle.goc.xmm.AppliedProfile}
     *
     * @return a {@link net.ihe.gazelle.goc.xmm.AppliedProfile} object.
     */
    public AppliedProfile createAppliedProfile() {
        return new AppliedProfile();
    }

    /**
     * Create an instance of {@link net.ihe.gazelle.goc.xmm.OwnedComment}
     *
     * @return a {@link net.ihe.gazelle.goc.xmm.OwnedComment} object.
     */
    public OwnedComment createOwnedComment() {
        return new OwnedComment();
    }

    /**
     * Create an instance of {@link net.ihe.gazelle.goc.xmm.OwnedRule}
     *
     * @return a {@link net.ihe.gazelle.goc.xmm.OwnedRule} object.
     */
    public OwnedRule createOwnedRule() {
        return new OwnedRule();
    }

    /**
     * Create an instance of {@link net.ihe.gazelle.goc.xmm.Specification}
     *
     * @return a {@link net.ihe.gazelle.goc.xmm.Specification} object.
     */
    public Specification createSpecification() {
        return new Specification();
    }

    /**
     * Create an instance of {@link net.ihe.gazelle.goc.xmm.General}
     *
     * @return a {@link net.ihe.gazelle.goc.xmm.General} object.
     */
    public General createGeneral() {
        return new General();
    }

    /**
     * Create an instance of {@link net.ihe.gazelle.goc.xmm.ProfileApplication}
     *
     * @return a {@link net.ihe.gazelle.goc.xmm.ProfileApplication} object.
     */
    public ProfileApplication createProfileApplication() {
        return new ProfileApplication();
    }

    /**
     * Create an instance of {@link net.ihe.gazelle.goc.xmm.EAnnotations}
     *
     * @return a {@link net.ihe.gazelle.goc.xmm.EAnnotations} object.
     */
    public EAnnotations createEAnnotations() {
        return new EAnnotations();
    }

    /**
     * Create an instance of {@link net.ihe.gazelle.goc.xmm.References}
     *
     * @return a {@link net.ihe.gazelle.goc.xmm.References} object.
     */
    public References createReferences() {
        return new References();
    }

    /**
     * Create an instance of {@link net.ihe.gazelle.goc.xmm.PackagedElement}
     *
     * @return a {@link net.ihe.gazelle.goc.xmm.PackagedElement} object.
     */
    public PackagedElement createPackagedElement() {
        return new PackagedElement();
    }

    /**
     * Create an instance of {@link net.ihe.gazelle.goc.xmm.Generalization}
     *
     * @return a {@link net.ihe.gazelle.goc.xmm.Generalization} object.
     */
    public Generalization createGeneralization() {
        return new Generalization();
    }

    /**
     * Create an instance of {@link net.ihe.gazelle.goc.xmm.PackageImport}
     *
     * @return a {@link net.ihe.gazelle.goc.xmm.PackageImport} object.
     */
    public PackageImport createPackageImport() {
        return new PackageImport();
    }

    /**
     * Create an instance of {@link javax.xml.bind.JAXBElement}{@code <}{@link java.lang.String}{@code >}}
     *
     * @param value a {@link java.lang.String} object.
     * @return a {@link javax.xml.bind.JAXBElement} object.
     */
    @XmlElementDecl(namespace = XMM, name = "body")
    public JAXBElement<String> createBody(String value) {
        return new JAXBElement<>(Body_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link javax.xml.bind.JAXBElement}{@code <}{@link java.lang.String}{@code >}}
     *
     * @param value a {@link java.lang.String} object.
     * @return a {@link javax.xml.bind.JAXBElement} object.
     */
    @XmlElementDecl(namespace = XMM, name = "language")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    public JAXBElement<String> createLanguage(String value) {
        return new JAXBElement<>(Language_QNAME, String.class, null, value);
    }

}
